What browser do I need to be able to use the HomeAgain portal?

The HomeAgain portal is compatible with IE 6.0+ and Firefox 1.5+. The system requires that Cookies and JavaScript are enabled.

Was this article helpful?
0 out of 0 found this helpful